Bug 439007 - dpi calculation for multihead setups bad
dpi calculation for multihead setups bad
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 10:54 EDT by Lennart Poettering
Modified: 2014-06-18 05:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:26:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2008-03-26 10:54:52 EDT
g-s-d seems to calculate the dpi value for my X11 setup incorrectly. I have two
24" screens attached to an RV630, and the configured dpi value is ridiculously
high because apparently the pixel width of the entire virtual screen is divided
by the physical size of just one of the screens. The result is that firefox uses
huge fonts sizes for everything, which is quite annoying and makes it completely
useless. Gtk applications however seem to ignore the X11 dpi value and use the
one configured in the fonts capplet.
Comment 1 Søren Sandmann Pedersen 2008-03-26 17:32:19 EDT
The bug here is this FIXME:

    /* FIXME: What do we do about physical size?
     *
     * As far as this function is concerned, probably just pass the problem up to
     * the callers. There, the best possibility might be to pick the sum of
     * physical sizes, but the reality is that the physical size of an X screen is
     * a meaningless concept in a randr 1.2 world.
     */
    timer = g_timer_new ();
    g_print ("setting size to %d %d\n", width, height);
    
    rw_screen_set_size (assign->screen, width, height, 300, 230);

I think the right fix is to simply pick a dpi of 96x96 and disregard the
physical sizes.
Comment 2 Søren Sandmann Pedersen 2008-03-26 17:43:23 EDT
The workaround is this:

      xrandr --dpi 96

Comment 3 Lennart Poettering 2008-03-27 14:34:55 EDT
BTW: is there any reason why the Gtk font setting dpi value (i.e. the one you
can control in the fonts capplet) is independant from the X display dpi value
(i.e. the one you can change with Xrandr)?

Shouldn't the gnome capplet also update the X display dpi value via xrandr and
keep sure they stay in sync?
Comment 4 Bug Zapper 2008-05-14 02:52:58 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 19:52:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:26:14 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.